#!/bin/sh
# Activy set Display text
source /etc/conf.d/vdr
#set -x
[ "$(echo " $PLUGINS " | grep " alcd ")" = "" ] && exit
WAKEUP_FILE=${VIDEO}/~wakeup
/bin/stty 38400 < /dev/ttyS0
printf "\x90\x01" > /dev/ttyS0
printf "\x90\x04" > /dev/ttyS0
printf "\x90\x02" > /dev/ttyS0
LCD_BR=$(grep "alcd.LCDBrightnessOnExit" /etc/vdr/setup.conf | cut -f 2 -d "=")
[ "$LCD_BR" = "" ] && LCD_BR=0
if [ -s $WAKEUP_FILE -a $LCD_BR -gt 0 ] ; then
   LCD_COL=$(printf "%02X" $(((16-$LCD_BR)*16)))
else
   LCD_COL="FF"
fi
printf "\xF0\x$LCD_COL" > /dev/ttyS0
