#!/bin/sh
source /etc/conf.d/vdr
#set -x

if [ "$ACTIVY_OVERLAY" = "Aus" ] || [ "$1" = "" -o "$1" = "0" ] ; then
   for i in $(ps x | grep "$0 1" | grep -v "grep" | cut -b 1-6) ; do
      echo "Killing $i"
      kill $i
   done
   tvia_overlay --off
else
#   set -x
   # Wait for X (freevo) if not already started
   if [ "$(sh /_config/bin/getXVT.sh -a)" = "" ] ; then
      # Wait for x or freevo
      if [ "$GUI" = "Aus" ] ; then 
	 X_TIMEOUT=8
      else
         X_TIMEOUT=15	 
      fi	 
      for i in $(seq 1 60) ; do
         sleep 1
         if [ "$(sh /_config/bin/getXVT.sh -a)" != "" ] ; then
            # Wait for freevo
            for i in $(seq 1 $X_TIMEOUT) ; do
               sleep 1
               if [ $(pidof python | wc -w) -gt 2 ] ; then
                  break
               fi  
	    done   
	    break
         fi	 
      done
   fi      
   # Wait for vdr if not already started
   if [ "$(pidof vdr)" = "" ] ; then
      # Wait for vdr
      for i in $(seq 1 120) ; do
         sleep 1
         if [ "$(pidof vdr)" != "" ] ; then
	    sleep 10
	    break
         fi	 
      done
   fi      
   OP=""
   if [ "$ACTIVY_OVERLAY" = "BOBMODE" ] ; then
      OP="-b"
   elif [ "$ACTIVY_OVERLAY" = "LCD" ] ; then
      OP="-d"
   fi    
   if [ "$ACTIVY_OVL_PARMS" = "" -a "$SCREEN_RESOLUTION" != "" ] ; then
      WIDTH="$(echo $SCREEN_RESOLUTION | cut -f 1 -d "x")"
      HEIGHT="$(echo $SCREEN_RESOLUTION | cut -f 2 -d "x")"
      ACTIVY_OVL_PARMS="-w $WIDTH -h $HEIGHT"
   fi     
   tvia_overlay $OP $ACTIVY_OVL_PARMS
fi
