#!/bin/bash
#
source /etc/conf.d/vdr.admin.cfg
source /etc/conf.d/vdr

logger -s "ADMIN - GUI: $GUI"

if [ "$GUI" = "Aus" ] ; then
   rc-update del freevo
   rc-update del xdm
   rc-update add xorg default
elif [ "$GUI" = "FreeVo" ]  ; then
   rc-update add freevo default
   sed -i /etc/conf.d/vdr.swcon -e "s/ -t .*/ -t FreeVo\"/"
   rc-update del xdm
   rc-update del xorg
   logger -s "Untersuche Audio und Videoverzeichnis - kann lange dauern !"
   freevo cache
elif [ "$GUI" = "KDE" ]  ; then
   sed -i /etc/conf.d/vdr.swcon -e "s/ -t .*/ -t KDE\"/"
   rc-update del freevo
   rc-update del xorg
   rc-update add xdm default
else
   echo "Unknown GUI parameter $1"
   exit 1
fi
if [ "$(/_config/bin/query_mb.sh)" = "ACTIVY" ] ; then
   if [ "$SCREEN_RESOLUTION" = "1024x768" ] ; then
      cp /etc/X11/xorg.conf.activy.1024 /etc/X11/xorg.conf
   else
      cp /etc/X11/xorg.conf.activy /etc/X11/xorg.conf
   fi      
fi      

depscan.sh
exit 0
